org.deidentifier.arx.framework.lattice

## Class ObjectIterator<T>

- java.lang.Object
- - org.deidentifier.arx.framework.lattice.ObjectIterator<T>

Type Parameters:
  `T` -

Direct Known Subclasses:
  ObjectIterator.ObjectIteratorIntArray, ObjectIterator.ObjectIteratorLong

    public abstract class ObjectIterator<T>
    extends java.lang.Object

Wrapper for iterator

Author:
  Fabian Prasser

### Nested Class Summary

Nested Classes
`static class` `ObjectIterator.ObjectIteratorIntArray` Iterator for int arrays
`static class` `ObjectIterator.ObjectIteratorLong` Iterator for longs

### Constructor Summary

Constructors
Constructor and Description
`ObjectIterator()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static ObjectIterator<java.lang.Long>` `create(de.linearbits.jhpl.JHPLIterator.LongIterator iter)` Creates a new instance for longs
`static ObjectIterator<org.deidentifier.arx.framework.lattice.SolutionSpaceIntArray.IntArrayWrapper>` `create(SolutionSpace<?> lattice, java.util.Iterator<int[]> iter)` Creates a new instance for int arrays
`abstract boolean` `hasNext()` Is there a next element?
`abstract T` `next()` Returns the next element

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectIterator

    public ObjectIterator()

### Method Detail

#### create

    public static ObjectIterator<java.lang.Long> create(de.linearbits.jhpl.JHPLIterator.LongIterator iter)

Creates a new instance for longs

Parameters:
  `iter` -
Returns:

#### create

    public static ObjectIterator<org.deidentifier.arx.framework.lattice.SolutionSpaceIntArray.IntArrayWrapper> create(SolutionSpace<?> lattice,
                                                                                                                      java.util.Iterator<int[]> iter)

Creates a new instance for int arrays

Parameters:
  `lattice` -
  `iter` -
Returns:

#### hasNext

    public abstract boolean hasNext()

Is there a next element?

#### next

    public abstract T next()

Returns the next element